#include <X11/Xlib.h>

typedef struct
{
  char *font_name;
  XFontStruct* font_info;       /* Font structure, used for drawing text    */
  char *color_name;
  float duration;
  float fade_time;
  char *icon_file;
  int line_number;
  int display_width;
  int display_height;
  int text_width;
  int font_height;

} cfg_t;

/* function prototypes */

int parse_config (int argc, char *argv[], cfg_t* cfg);
void print_config (cfg_t cfg);
